Package org.jfree.layouting.renderer.process

## Class ComputeBreakabilityStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.ComputeBreakabilityStep

-     public class ComputeBreakabilityStep
      extends IterateVisualProcessStep

  Computes the size of the non-breakable areas at the beginning and end of each block-level box.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComputeBreakabilityStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(LogicalPageBox logicalPageBox)` |
    `protected void` | `finishBlockLevelBox​(RenderBox box)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `finishInlineLevelBox, processBlockLevelChild, processBlockLevelNode, processBoxChilds, processFlow, processInlineLevelChild, processInlineLevelNode, processOtherLevelChild, startBlockLevelBox, startInlineLevelBox, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputeBreakabilityStep

          public ComputeBreakabilityStep​()

  - ### Method Detail

    - #### compute

          public void compute​(LogicalPageBox logicalPageBox)

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### finishBlockLevelBox

          protected void finishBlockLevelBox​(RenderBox box)

      Overrides:
        `finishBlockLevelBox` in class `IterateVisualProcessStep`